---
title: "What's new in Vikunja 0.21.0"
date: 2023-07-07T16:11:10+02:00
draft: true
---

<div class="bg-primary p-4 text-white rounded">
If Vikunja is useful to you, please consider <a href="https://www.buymeacoffee.com/kolaente" target="_blank" class="!text-white !underline">buying me a coffee</a>, 
<a href="https://github.com/sponsors/kolaente" target="_blank" class="!text-white !underline">sponsoring me on github</a> or <a href="https://vikunja.cloud/stickers" class="!text-white !underline">buying a sticker pack</a>.<br/>
I'm also offering <a href="https://vikunja.cloud/?utm_source=vikunja.io&utm_medium=blog&utm_campaign=release_0.18.0" class="!text-white !underline">a hosted version of Vikunja</a> if you want a hassle-free solution for yourself or your team.
</div>

I'm proud to announce Vikunja 0.21.0!

This release contains 756 changes in the frontend and 250 in the api.
Most changes are improvements and fixes with one big breaking change.

## Getting the new version

As usual, just grab a new release from the [downloads page](https://dl.vikunja.io) or pull the latest docker container.

## New to Vikunja?

Vikunja is the open-source, self-hostable to-do app.
It lets you organize all kinds of things, from your shopping list to a multi-month project with multiple team members.
Different ways to view, filter and share your tasks make this a breeze.

Check out [the features page](https://vikunja.io/features) to learn more about all of its features.

## Highlights

### Lists and Namespaces are now Projects

Since the beginning of Vikunja, it always had the concept of lists which hold a bunch of tasks and namespaces, which contain multiple lists.
Originally, lists were just that: A simple list of multiple tasks.

Since then, lists have evolved significantly with support for gantt, kanban and more, representing no longer simple to-do lists but more and more complex projects.
At the same time, namespaces felt like a big, bulky thing, a word used nowhere else than in programming contexts.

With this release, we rename lists to projects to make represent what they are actually used for and remove the concept of a namespace alltogether.
Organizing multiple projects hierarchially was an important feature though - that's why projects are nestable for as many levels as you want, allowing for "subprojects" for the first time.

All of your existing namespaces will be converted to top-level projects containing the lists they previously contained.

Please note that importing a previous dump or export is not supported - please do a new dump instead of importing the old one.

### Relative Reminders

Thanks!

todo: mention caldav

todo: screenshot

### Assignee Search

todo: screenshot

### Frontend Settings

### Helm Chart

Thanks!

## Closing

This release does not really contain 

todo: mention 1.0 coming next
todo: remove draft!

Please tell me what you think of this release, either [in the community forum](https://community.vikunja.io), [Twitter](https://twitter.com/vikunja.io) or [email](mailto:hello@vikunja.io).

